12 окт 2025 caspar-typesetting 20251012

1.
NAME
2.
SYNOPSIS
3.
DESCRIPTION
4.
USAGE
5.
EXAMPLES
6.
FILES
7.
ENVIRONMENT
8.
AUTHOR
9.
SEE ALSO

## NAME

caspar-typesetting - Makefile snippets for common typesetting tasks

## SYNOPSIS

In a Makefile, write
include caspar/mk/docbook.mk
or
include caspar/mk/pod.mk
or
include caspar/mk/markdown.mk
.

## DESCRIPTION

The caspar docbook.mk, pod.mk and markdown.mk files are Makefile snippets for common typesetting tasks, like typesetting LaTeX (see [3]), DocBook XML, DocBook SGML (see [2]), POD (see [1]) and Markdown (see [4]) documents. You just have to type `make`, instead of stuff like `openjade -t tex -d caspar/print.dsl /usr/share/sgml/declaration/xml.dcl foobar.dbx`.

## USAGE

In a directory where you maintain .dbx (Docbook XML) or .tex (LaTeX) files, do
$ echo include caspar/mk/docbook.mk > Makefile $ vi karenina.dbx $ make karenina.view $ make karenina.print $ vi svejk.tex $ make svejk.view $ make svejk.print $ make $ make clean
Other targets: `filename.ps`, `filename.pdf`, `filename.2ps`, `filename.html`, `filename.printbig`, `filename.dvi`.

Variables you might like to set in your Makefile: `XMLDCL` (default is `/usr/share/sgml/declaration/xml.dcl`; if you're not on a Debian GNU/Linux system, you'll likely have to adjust this), `HTML_DSL`, `PRINT_DSL`.

In a directory where you maintain .pod files, do

$ echo include caspar/mk/pod.mk > Makefile $ vi lire.pod $ perldoc ./lire.pod $ make lire.pdf $ make $ less lire.overstrike-txt $ make clean
Other targets: `filename.ps`, `filename.html`, `filename.txt`, ... (Similar to the ones supplied by docbook.mk).

In a directory where you maintain CommonMark .md files, do

$ echo include caspar/mk/markdown.mk > Makefile $ vi lire.md $ make lire.html $ make $ make clean
.

## EXAMPLES

Some examples: Overriding the caspar-supplied DSSSL files: Create your own print.dls and html.dsl, in the same directory as your Docbook XML files. Your Makefile should read:

PRINT_DSL = print.dsl HTML_DSL = html.dsl include caspar/mk/docbook.mk
Overriding the standard html-to-text convertor:
$ W3M=lynx make svejk.txt
.

## FILES

caspar/mk/docbook.mk, caspar/mk/pod.mk, caspar/mk/markdown.mk.

## ENVIRONMENT

For docbook.mk: files: `XMLDCL`, `HTML_DSL`, `PRINT_DSL`; utilities: `JADE`, `PDFJADETEX`, `PDFLATEX`, `JADETEX`, `LATEX`, `W3M`, `DVIPS`, `PSNUP`, `LPR`, `GV`; settings: `JADE_MAXERRORS`. These variables can get adjusted in Makefile, as well as in the shell environment.

The files pod.mk and markdown.mk use no environment variables.

## AUTHOR

Joost van Baal-Ilić

## SEE ALSO

caspar(7) [1] perlpod(1) about Perl's Plain Old Documentation format

[2] DocBook: The Definitive Guide on http://docbook.org/,

[3] The LaTeX Project Homepage on http://www.latex-project.org/.

[4] John Gruber's Markdown homepage on https://daringfireball.net/projects/markdown/.

Some comments on advanced usage are in the files docbook.mk and pod.mk itself.